%define version 3.0.4
%define release 0.12mdk

Summary: The RPM package management system.
Name: rpm
Version: %{version}
Release: %{release}
Group: System/Configuration/Packaging
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-3.0.x/rpm-%{version}.tar.bz2
Patch0: rpm-3.0.4-mdkconf.patch.bz2
Patch1: rpm-3.3-rpmgettext.patch.bz2
Patch2: rpm-rpmlibsucks.patch.bz2
Patch3: rpm-3.0.4-bashort.patch.bz2
Patch4: rpm-3.0.3-compile.patch.bz2
Patch5: rpm-rpmrc.patch.bz2
Patch6: rpm-3.0.3-fakeroot.patch.bz2
Patch7: rpm-3.0.4-install_lang.patch.bz2
Patch8: rpm-3.0.4-oldfilenames.patch.bz2
Patch9: rpm-3.0.4-fixautodeps.patch.bz2
Patch10: rpm-skipmntpoints.patch.bz2
Patch11: rpm-theworseuglypatchihaveneverseen.patch.bz2
Copyright: GPL
Conflicts: patch < 2.5
Prereq: gawk fileutils textutils sh-utils mktemp
BuildRequires: python-devel >= 1.5.2 bzip2 >= 0.9.0c-2
Requires: bzip2 >= 0.9.0c-2, popt
BuildRoot: %{_tmppath}/rpm-%{version}-root

%description
RPM is a powerful command line driven package management system capable of
installing, uninstalling, verifying, querying, and updating software packages.
Each software package consists of an archive of files along with information
about the package like its version, a description, etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/C
Requires: python >= 1.5.1, rpm = %{version}-%{release}, popt

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: System/Configuration/Packaging
Requires: rpm = %{version}, spec-helper, rpm = %{version}-%{release}

%description build
This package contains scripts and executable programs that are used to
build packages using RPM.

%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Development/Python
Requires: popt >= 1.5
Requires: python >= 1.5.2, rpm = %{version}-%{release}

%description python
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%package -n popt
Summary: A C library for parsing command line parameters.
Group: System/Libraries
Version: 1.5

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

Install popt if you're a C programmer and you'd like to use its
capabilities.

%package -n popt-devel
Summary: A C library for parsing command line parameters.
Group: Development/C
Version: 1.5

%description -n popt-devel
Developement headers for the popt library.

%prep
%setup -q
%patch0 -p1 -b .chmou
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p1
%patch8 -p0
%patch9 -p0
%patch10 -p1
%ifarch alpha
%patch11 -p1
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
make -C python

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/{SOURCES,SPECS,SRPMS,BUILD}
mkdir -p $RPM_BUILD_ROOT/usr/src/RPM/RPMS/{i386,i486,i586,i686,k6,noarch}

make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" -C python install

mv $RPM_BUILD_ROOT/usr/lib/libpopt.so.* $RPM_BUILD_ROOT/lib
ln -s ../../lib/libpopt.so.0 $RPM_BUILD_ROOT/usr/lib
ln -sf libpopt.so.0 $RPM_BUILD_ROOT/usr/lib/libpopt.so

test -d doc-copy || mkdir doc-copy
rm -rf doc-copy/*
ln -f doc/manual/* doc-copy/
rm -f doc-copy/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/rpm --initdb
if [ ! -e /etc/rpm/macros -a -e /etc/rpmrc -a -f /usr/lib/rpm/convertrpmrc.sh ] 
then
	sh /usr/lib/rpm/convertrpmrc.sh 2>&1 > /dev/null
fi

if grep -qi AMD-K6 /proc/cpuinfo;then
	perl -p -i -e "s/#K6#//g" /usr/lib/rpm/rpmrc
fi

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc RPM-PGP-KEY CHANGES GROUPS
%doc doc-copy
/bin/rpm
/usr/bin/rpm2cpio
/usr/bin/gendiff
/usr/lib/librpm.so.*
/usr/lib/librpmbuild.so.*

%dir /usr/lib/rpm
/usr/lib/rpm/brp-compress
/usr/lib/rpm/brp-strip
/usr/lib/rpm/brp-strip-comment-note
/usr/lib/rpm/config.guess
/usr/lib/rpm/config.sub
/usr/lib/rpm/convertrpmrc.sh
/usr/lib/rpm/find-lang.sh
/usr/lib/rpm/find-prov.pl
/usr/lib/rpm/find-provides
/usr/lib/rpm/find-req.pl
/usr/lib/rpm/find-requires
/usr/lib/rpm/freshen.sh
/usr/lib/rpm/getpo.sh
/usr/lib/rpm/macros
/usr/lib/rpm/mkinstalldirs
/usr/lib/rpm/rpmpopt
/usr/lib/rpm/rpmrc
/usr/lib/rpm/u_pkg.sh
/usr/lib/rpm/vpkg-provides.sh
/usr/lib/rpm/vpkg-provides2.sh

%dir /usr/src/RPM
%dir /usr/src/RPM/BUILD
%dir /usr/src/RPM/SPECS
%dir /usr/src/RPM/SOURCES
%dir /usr/src/RPM/SRPMS
%dir /usr/src/RPM/RPMS
/usr/src/RPM/RPMS/*
/usr/share/locale/*/LC_MESSAGES/rpm.mo
%lang(pl) /usr/man/pl/man[18]/*.[18]*
%lang(ru) /usr/man/ru/man[18]/*.[18]*
%lang(ja) /usr/man/ja/man[18]/*.[18]*
/usr/man/man*/rpm*
/usr/man/man*/gendiff*

%files build
%defattr(-,root,root)
/usr/lib/rpm/check-prereqs
/usr/lib/rpm/cpanflute
/usr/lib/rpm/find-provides.perl
/usr/lib/rpm/find-requires.perl
/usr/lib/rpm/get_magic.pl
/usr/lib/rpm/http.req
/usr/lib/rpm/magic.prov
/usr/lib/rpm/magic.req
/usr/lib/rpm/perl.prov
/usr/lib/rpm/perl.req
/usr/lib/rpm/rpmdiff
/usr/lib/rpm/rpmdiff.cgi
/usr/lib/rpm/rpmgettext
/usr/lib/rpm/rpmputtext

%files python
%defattr(-,root,root)
/usr/lib/python1.5/site-packages/rpmmodule.so

%files devel
%defattr(-,root,root)
/usr/include/rpm
/usr/lib/librpm.a
/usr/lib/librpm.la
/usr/lib/librpm.so
/usr/lib/librpmbuild.a
/usr/lib/librpmbuild.la
/usr/lib/librpmbuild.so

%files -n popt
%defattr(-,root,root)
/lib/libpopt.so.*
/usr/lib/libpopt.so.*
/usr/share/locale/*/LC_MESSAGES/popt.mo
/usr/man/man3/popt.3*

%files -n popt-devel
%defattr(-,root,root)
/usr/lib/libpopt.a
/usr/lib/libpopt.la
/usr/lib/libpopt.so
/usr/include/popt.h

%changelog
* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.12mdk
- Work Around (ugly ugly ugly but work) on popt bug with --define on alpha.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.11mdk
- Improve gendiff.
- Define __extensions, and install-info macros install script.
- Add some usefull alias to rpmpopt.

* Sun Mar 26 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.10mdk
- patch for supermount: skip mountpoints /mnt/.*

* Wed Mar 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.9mdk
- added dependencies on rpm for rpm-devel, rpm-python and rpm-build.
- split popt in popt and popt-devel

* Thu Mar 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.8mdk
- fix rpmHeaderGetEntry returned type for RPMTAG_OLDFILENAMES.
- fix syntax in find-requires.

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.7mdk
- 3.0.4 final.

* Sun Mar 12 2000 Pixel <pixel@mandrakesoft.com> 3.0.4-0.6mdk
- moved libpopt.so.0's in /lib

* Mon Mar 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.0.4-0.5mdk 
- added /usr/lib/rpm to %files
- added support for RPM_INSTALL_LANG variable (the official way of
  doing it will be using %%{_install_langs} macro on /etc/rpm/macros;
  but there may be some installed systems with RPM_INSTALL_LANG in use
  out ther; and also it is easier for one-time change on the command line) 

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-4mdk
- Remove Makefile* from doc.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.3mdk
- put back the man pages.

* Fri Feb 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.4-0.2mdk
- call spec-helper in __spec_install_post.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.4-0.1mdk
- New spec clean-up.
- Remove pgp passphrase patch (use gpg instead).
- Obsoletes: popt-devel (now popt does also devel).
- Separate in multiple package like rpm-build popt rpm-devel rpm-python.
- New mdkconf patch.
- Use configure macros
- Hide your babys and womens rpm 3.0.4 from CVS is here.

* Thu Jan 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-48mdk
- Fix rpmrc again (thanks David Walluck <david@anti-microsoft.org>),
  to bothered me ;).

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-47mdk
- Reinsert flags for different arch.

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-46mdk
- add /usr/lib/librpm.so to the devel package.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.3-45mdk
- Major clean-up of specs and patchs.

* Wed Jan 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.3-44mdk
- fix find-requires for fakeroot.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in /usr/src/RPM/RPMS

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Moving the rpmputtext rpmputtext to /usr/bin
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir /usr/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for /usr/src/rpm instead of /usr/src/redhat/.
